<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
    <xsl:output indent="yes" method="xml" encoding="utf-8" omit-xml-declaration="no"/>
    <xsl:template match="/">
        <Constructions>
        <xsl:apply-templates select="//constructions"/>
        </Constructions>
    </xsl:template>
    <xsl:template match="constructions">
        <Construction>
            <xsl:attribute name="id">ncmconst<xsl:value-of select="ID"/></xsl:attribute>
            <xsl:if test="NAME"><Name><xsl:value-of select="NAME"/></Name></xsl:if>
            <xsl:if test="DESCRIPTION"><Description><xsl:value-of select="DESCRIPTION"/></Description></xsl:if>
            <xsl:if test="LAYERS">
                <LayerId>
                    <xsl:attribute name="layerIdRef">ncmlay<xsl:value-of select="LAYERS"/></xsl:attribute>
                </LayerId>
            </xsl:if>
            <xsl:if test="U-VALUE"><U-value><xsl:value-of select="U-VALUE"/></U-value></xsl:if>
            <xsl:if test="ABSORTIVITY"><Absorbtance><xsl:value-of select="ABSORTIVITY"/></Absorbtance></xsl:if>
            <!-- Error with roughness in GBS - will not pass through DOE2 engine -->
            <!--<xsl:if test="SURFACE-ROUGHNESS"><Roughness><xsl:value-of select="SURFACE-ROUGHNESS"/></Roughness></xsl:if>-->
        </Construction>
    </xsl:template>
</xsl:stylesheet>
