<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
    <xsl:output indent="yes"></xsl:output>
    <xsl:template match="/">
        <Materials>
            <xsl:apply-templates select="/dataroot/Prgwlay"></xsl:apply-templates>
        </Materials>
    </xsl:template>
    
    <xsl:template match="Prgwlay">
        <Material>
            <xsl:attribute name="id"><xsl:value-of select="replace(concat('TRNBAS_',Name,'_',ID),' ','')"/></xsl:attribute>
            <Name><xsl:value-of select="Name"/></Name>
            <Description><xsl:value-of select="Name"/></Description>
            <Thickness unit="Meters"><xsl:value-of select="Thickness"/></Thickness>
            <Conductivity unit="WPerMeterK"><xsl:value-of select="Conductivity"/></Conductivity>
            <Density unit="KgPerCubicM"><xsl:value-of select="Density"/></Density>
            <SpecificHeat unit="JPerKgK"><xsl:value-of select="SpecificHeat"/></SpecificHeat>
        </Material>
    </xsl:template>
</xsl:stylesheet>
